{ config, lib, ... }:
{
  config = lib.mkIf config.home.desktop.enable {
    programs.yt-dlp = {
      enable = true;
      settings = {
        add-metadata = true;
        embed-thumbnail = true;
        convert-thumbnails = "jpg";
        audio-format = "opus";
        output = ''"%(artist)s - %(title)s.%(ext)s"'';
      };
    };
    home.shellAliases.opusdl = ''yt-dlp -f ba -x --audio-quality 0'';
  };
}
